# std::experimental::optional::operator bool

From cppreference.com
< cpp‎ | experimental‎ | optional

constexpr explicit operator bool() const; |  | (library fundamentals TS)

Checks whether *this contains a value.

### Parameters

(none)

### Return value

true if *this contains a value, false if *this does not contain a value.

### Exceptions

`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/optional/operator_bool&oldid=91528"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template